/**
 * Creates link tags and appends them to document head.
 *
 * @param {string[]} stylesheets Stylesheets to append to head
 */
function deferCSS(stylesheets) {
  for (let i = 0; i < stylesheets.length; i += 1) {
    const head = document.querySelector('head');
    const link = document.createElement('link');
    link.rel = 'stylesheet';
    link.href = stylesheets[i];
    head.appendChild(link);
  }
}

export default deferCSS;
