import FontFaceObserver from 'fontfaceobserver';

/**
 * Waits for all fonts to load, then applies a class to body
 *
 * @param {string[]} fonts Fonts to wait for to load
 * @param {string} className Class to append after fonts are loaded
 */
function deferFonts(fonts, className) {
  const observers = fonts.map(font => new FontFaceObserver(font));

  Promise.all(observers).then(() => {
    document.querySelector('body').classList.add(className);
  });
}

export default deferFonts;
