import path from 'path';
import UglifyJSPlugin from 'uglifyjs-webpack-plugin';

module.exports = {
  entry: './src/index.js',
  output: {
    filename: 'easy-perf.js',
    path: path.resolve(__dirname, 'dist'),
  },
  module: {
    rules: [
      {
        test: /\.js$/,
        exclude: /(node_modules)/,
        use: {
          loader: 'babel-loader',
          options: {
            presets: ['env'],
          },
        },
      },
    ],
  },
  plugins: [new UglifyJSPlugin()],
};
